[oe-commits] Jack Mitchell : ntp: fix incorrect pidfile handling in ntpd init script

git at git.openembedded.org git at git.openembedded.org
Wed Jun 4 09:43:36 UTC 2014


Module: meta-openembedded.git
Branch: master-next
Commit: f3518c4c748b64dde3b14c6d73cd6c15d1b92166
URL:    http://git.openembedded.org/?p=meta-openembedded.git&a=commit;h=f3518c4c748b64dde3b14c6d73cd6c15d1b92166

Author: Jack Mitchell <jmitchell at cbnl.com>
Date:   Mon Jun  2 15:40:51 2014 +0100

ntp: fix incorrect pidfile handling in ntpd init script

Signed-off-by: Jack Mitchell <jmitchell at cbnl.com>
Signed-off-by: Joe MacDonald <joe at deserted.net>

---

 meta-networking/recipes-support/ntp/files/ntpd | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

diff --git a/meta-networking/recipes-support/ntp/files/ntpd b/meta-networking/recipes-support/ntp/files/ntpd
index a62b8ce..3cd1c6c 100755
--- a/meta-networking/recipes-support/ntp/files/ntpd
+++ b/meta-networking/recipes-support/ntp/files/ntpd
@@ -1,9 +1,22 @@
 #! /bin/sh
-#
+
+### BEGIN INIT INFO
+# Provides:        ntp
+# Required-Start:  $network $remote_fs $syslog
+# Required-Stop:   $network $remote_fs $syslog
+# Default-Start:   2 3 4 5
+# Default-Stop:
+# Short-Description: Start NTP daemon
+### END INIT INFO
+
 PATH=/sbin:/bin:/usr/bin:/usr/sbin
 
+DAEMON=/usr/sbin/ntpd
+PIDFILE=/var/run/ntpd.pid
+
 # ntpd	init.d script for ntpdc from ntp.isc.org
-test -x /usr/sbin/ntpd -a -r /etc/ntp.conf || exit 0
+test -x $DAEMON -a -r /etc/ntp.conf || exit 0
+
 # rcS contains TICKADJ
 test -r /etc/default/rcS && . /etc/default/rcS
 
@@ -23,12 +36,12 @@ startdaemon(){
 	# this.  If ntpd seems to disappear after a while assume TICKADJ
 	# above is set to a totally incorrect value.
 	echo -n "Starting ntpd: "
-	start-stop-daemon --start -x /usr/sbin/ntpd -- -u ntp:ntp -p /var/run/ntp.pid "$@"
+	start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --startas $DAEMON -- -u ntp:ntp -p $PIDFILE "$@"
 	echo "done"
 }
 stopdaemon(){
 	echo -n "Stopping ntpd: "
-	start-stop-daemon --stop -p /var/run/ntp.pid
+	start-stop-daemon --stop --quiet --oknodo -p $PIDFILE
 	echo "done"
 }
 



More information about the Openembedded-commits mailing list